La distribution éducative pour débutants et initiés.

Vous n'êtes pas identifié(e).

Annonce

Les différentes isos de PrimTux4 sont disponibles, cliquez ici pour choisir votre version.

  • Pour être automatiquement informé des réponses à vos messages sur le forum, n'oubliez pas de cliquer sur "Suivre cette discussion" en bas de page. Mieux, en vous abonnant au flux RSS du forum, vous pourrez suivre tout nouveau message sur l'ensemble du forum.
  • En allant dans votre Profil, ligne "Vie privée", vous pouvez également cocher "Suivre automatiquement les sujets auxquels on a répondu.", vous n'aurez plus à cliquer sur "Suivre cette discussion" lorsque vous postez un message.
  • Carte des membres pouvant aider et des écoles sous PrimTux, merci de nous envoyer un email si vous souhaitez y apparaître.
  • Abonnez-vous à la newsletter sur le site principal pour être informé des nouveaux paquets, nouvelles versions, bugs...

#1 09-02-2018 13:33:08

mhep
Modérateur
Inscription : 23-07-2016
Messages : 546

Kiwix dépendances

Bonjour,

je prépare quelques PC pour une école mais j'ai un souci dans la phase d'installation des logiciels non-libres : 

Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation : 

Les paquets suivants contiennent des dépendances non satisfaites :
 logiciels-primtux-maxi : Dépend: kiwix-vikidia-primtux mais ne sera pas installé
 logiciels-primtux-mini : Dépend: tbisuite-primtux mais ne sera pas installé
 logiciels-primtux-super : Dépend: kiwix-vikidia-primtux mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

J'ai peut-être loupé quelque chose sur le forum mais là je ne peux aller plus loin. Merci pour toute info.

Hors ligne

#2 09-02-2018 15:29:21

Steph
Administrateur
Inscription : 03-06-2015
Messages : 4 880

Re : Kiwix dépendances

Salut Marc,
Quelle version?

Hors ligne

#3 09-02-2018 17:44:05

mhep
Modérateur
Inscription : 23-07-2016
Messages : 546

Re : Kiwix dépendances

Ben PrimTux3-2017-12-18-UEFI-amd64.hybrid.iso

Hors ligne

#4 09-02-2018 17:49:44

Steph
Administrateur
Inscription : 03-06-2015
Messages : 4 880

Re : Kiwix dépendances

Bizarre je viens d'installer kiwix et tbi-suite sans aucun souci. Essaie de passer par synaptic.

Hors ligne

#5 09-02-2018 18:07:18

mhep
Modérateur
Inscription : 23-07-2016
Messages : 546

Re : Kiwix dépendances

Ah ok, je vais tester

Hors ligne

#6 09-02-2018 19:24:29

mhep
Modérateur
Inscription : 23-07-2016
Messages : 546

Re : Kiwix dépendances

J'ai fait une installation depuis un CD-Rom, et le fichier sources.list contient ces lignes :

deb cdrom:[Debian GNU/Linux 9 _Stretch_ - Official Snapshot amd64 LIVE/INSTALL Binary 20171218-21:13]/ stretch contrib main non-free
deb http://security.debian.org/debian-security stretch/updates main contrib non-free
deb-src http://security.debian.org/debian-security stretch/updates main contrib non-free

Est-ce correct ?

Hors ligne

#7 09-02-2018 20:12:38

Steph
Administrateur
Inscription : 03-06-2015
Messages : 4 880

Re : Kiwix dépendances

Non tu n'as que les security, il devrait y avoir le stretch main:

deb http://http.debian.net/debian/ stretch main contrib non-free

et dans sources.list.d il doit y avoir le dépôt PrimTux et d'autres.

Hors ligne

#8 09-02-2018 20:15:41

mhep
Modérateur
Inscription : 23-07-2016
Messages : 546

Re : Kiwix dépendances

C'est le pb, donc je revois ça

Hors ligne

#9 09-02-2018 20:58:21

Steph
Administrateur
Inscription : 03-06-2015
Messages : 4 880

Re : Kiwix dépendances

J'espère que ça l'est, mais c'est bizarre tu l'as fait comment ce CDROM?

Hors ligne

#10 10-02-2018 17:06:29

mhep
Modérateur
Inscription : 23-07-2016
Messages : 546

Re : Kiwix dépendances

Ben j'ai gravé l'iso. Mais y' eu un pb à la fin. Le grub n'a pas pu s'installer, j'ai le faire un live.
Je recommence et je te dis quoi.

Hors ligne

#11 10-02-2018 17:34:30

Steph
Administrateur
Inscription : 03-06-2015
Messages : 4 880

Re : Kiwix dépendances

Grave toujours en vitesse minimum.

Hors ligne

#12 11-02-2018 08:25:26

mhep
Modérateur
Inscription : 23-07-2016
Messages : 546

Re : Kiwix dépendances

Je me suis emmêlé les pinceaux. En fait j'ai fait au départ une installation depuis une clé USB Multisytem. C'est là que Grub a échoué puis un écran noir. Puis il fallait que je réinstalle un Grub depuis un live, et ensuite y'avait pas tous les dépôts.
L'installation depuis un DVD a presque obtenu les mêmes effets sauf qu'il n'y a pas eu de message d'erreur à propos de Grub, en fait pas de message du tout, puis écran noir.
En fait au reboot, le Grub était bien là et aussi tous les dépôts. Là l'installation se poursuit sans pb.

Hors ligne

#13 11-02-2018 10:27:23

ideefixe
Modérateur
Lieu : Bourges
Inscription : 04-06-2015
Messages : 2 816

Re : Kiwix dépendances

mhep a écrit :

Je me suis emmêlé les pinceaux. En fait j'ai fait au départ une installation depuis une clé USB Multisytem. C'est là que Grub a échoué puis un écran noir.

La clé USB MultiSystem ne serait donc pas compatible pour installer PrimTux 3.

Dernière modification par ideefixe (11-02-2018 10:27:44)

Hors ligne

#14 11-02-2018 10:34:30

mhep
Modérateur
Inscription : 23-07-2016
Messages : 546

Re : Kiwix dépendances

Il y a 4 entrées dans le menu propre à MultiSystem. Si on choisit Live, ça plante tout de suite :

error file /debian1/live/vmlinuz1 not found

Pour installer Primtux je préfère partir d'un DVD ou d'une clé faite avec dd

Je n'ai pas essayé avec EasyToBoot ou Rufus ou Yumi

Hors ligne

#15 11-02-2018 10:36:23

Steph
Administrateur
Inscription : 03-06-2015
Messages : 4 880

Re : Kiwix dépendances

Multisystem rebâtit un menu, comme avant il y avait un PrimTux PAE et un non-PAE il allait chercher 2 amorces, maintenant il n'y en a plus qu'une, le lien n'est donc plus correct.

Hors ligne

#16 11-02-2018 16:13:34

mhep
Modérateur
Inscription : 23-07-2016
Messages : 546

Re : Kiwix dépendances

J'ai parlé trop vite. Le pb kiwix est revenu.

J'ai ajouté

deb http://http.debian.net/debian/ stretch main contrib non-free

alors qu'il n'y avait que

deb http://security.debian.org/debian-security stretch/updates main contrib non-free
deb-src http://security.debian.org/debian-security stretch/updates main contrib non-free
deb http://httpredir.debian.org/debian/ stretch main contrib non-free
deb http://security.debian.org/ stretch/updates main contrib non-free
deb http://httpredir.debian.org/debian/ stretch-updates main contrib non-free

Les autres dépôts dans sources.list.d :

deb http://ppa.launchpad.net/jclic/master/ubuntu xenial main
deb http://depot.primtux.fr/repo/debs/ PrimTux-Lubuntu main
deb http://depot.primtux.fr/repo/debs/ PrimTux2-Stretch64 main
deb http://ppa.launchpad.net/webupd8team/java/ubuntu xenial main

Voici 2 séries de messages d'erreur

Dépaquetage de kiwix-vikidia-primtux (1.3.3) ...
dpkg-deb (sous-processus) : décompression du membre de l'archive : erreur LZMA : les données compressées sont corrompues
dpkg-deb: erreur: le sous-processus <decompress> a retourné une erreur de sortie d'état 2
dpkg: erreur de traitement de l'archive /tmp/apt-dpkg-install-wQdhZi/08-kiwix-vikidia-primtux_1.3.3_all.deb (--unpack) :
 impossible de copier les données extraites pour « ./usr/share/kiwix-vikidia/data/content/vikidia_fr_all_2017-08.zim » vers « /usr/share/kiwix-vikidia/data/content/vikidia_fr_all_2017-08.zim.dpkg-new » : fin de fichier ou de flux inattendue
Sélection du paquet le-conjugueur-linux:i386 précédemment désélectionné.
Préparation du dépaquetage de .../09-le-conjugueur-linux_0.4_i386.deb ...
Dépaquetage de le-conjugueur-linux:i386 (0.4) ...
Sélection du paquet primaths-primtux précédemment désélectionné.
Préparation du dépaquetage de .../10-primaths-primtux_1.2.1_all.deb ...
Dépaquetage de primaths-primtux (1.2.1) ...
Sélection du paquet pepit-primtux précédemment désélectionné.
Préparation du dépaquetage de .../11-pepit-primtux_1.2.1_all.deb ...
Dépaquetage de pepit-primtux (1.2.1) ...
Sélection du paquet matou-matheux-primtux précédemment désélectionné.
Préparation du dépaquetage de .../12-matou-matheux-primtux_1.1.0_all.deb ...
Dépaquetage de matou-matheux-primtux (1.1.0) ...
Sélection du paquet logiciels-primtux-maxi précédemment désélectionné.
Préparation du dépaquetage de .../13-logiciels-primtux-maxi_1.0.2_all.deb ...
Dépaquetage de logiciels-primtux-maxi (1.0.2) ...
Des erreurs ont été rencontrées pendant l'exécution :
 /tmp/apt-dpkg-install-wQdhZi/08-kiwix-vikidia-primtux_1.3.3_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

[sudo] Mot de passe de administrateur : 
Atteint:1 http://depot.primtux.fr/repo/debs PrimTux2-Stretch64 InRelease
Atteint:3 http://depot.primtux.fr/repo/debs PrimTux-Lubuntu InRelease          
Ign:2 http://cdn-fastly.deb.debian.org/debian stretch InRelease                
Atteint:4 http://cdn-fastly.deb.debian.org/debian stretch-updates InRelease    
Atteint:5 http://cdn-fastly.deb.debian.org/debian stretch Release              
Atteint:6 http://ppa.launchpad.net/jclic/master/ubuntu xenial InRelease        
Atteint:7 http://ppa.launchpad.net/webupd8team/java/ubuntu xenial InRelease    
Atteint:9 http://security.debian.org/debian-security stretch/updates InRelease 
Atteint:10 http://security.debian.org stretch/updates InRelease
Lecture des listes de paquets... Fait
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt --fix-broken install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 logiciels-primtux-maxi : Dépend: kiwix-vikidia-primtux mais ne sera pas installé
 logiciels-primtux-mini : Dépend: jecompte-primtux mais ne sera pas installé
                          Dépend: tbisuite-primtux mais ne sera pas installé
                          Dépend: jclicpuzzle-primtux:amd64
                          Dépend: lacourseauxnombres-primtux mais ne sera pas installé
                          Dépend: clicmenu-mini-primtux mais ne sera pas installé
E: Dépendances non satisfaites. Essayez « apt --fix-broken install » sans paquet
   (ou indiquez une solution).
administrateur@primtux:~$  

De son côté Synaptique dit que le paquet logiciels-primtux-maxi est "cassé"
A la réinstallation la réponse est

E: internal erreur, no file name for logiciels-primtux-maxi:amd 64

Je vais tout recommencer pour voir.

Hors ligne

#17 11-02-2018 16:20:21

Steph
Administrateur
Inscription : 03-06-2015
Messages : 4 880

Re : Kiwix dépendances

Mais tu installes avec quel support? Tu passes par internet parce que je n'ai pas le souvenir que les paquets soient numérotés à l'installation?
Autre bizarrerie:

logiciels-primtux-maxi:amd 64

Forcément, il n'y a pas d'espace entre amd et 64 dans le nom du paquet.

Hors ligne

#18 11-02-2018 16:25:38

mhep
Modérateur
Inscription : 23-07-2016
Messages : 546

Re : Kiwix dépendances

Steph a écrit :

Mais tu installes avec quel support? Tu passes par internet parce que je n'ai pas le souvenir que les paquets soient numérotés à l'installation?

oui par internet

Autre bizarrerie:

logiciels-primtux-maxi:amd 64

Forcément, il n'y a pas d'espace entre amd et 64 dans le nom du paquet.

J'ai me suis trompé en recopiant. C'est bien amd64

Dernière modification par mhep (11-02-2018 16:32:51)

Hors ligne

#19 12-02-2018 21:44:07

mhep
Modérateur
Inscription : 23-07-2016
Messages : 546

Re : Kiwix dépendances

Sans doute que le pb vient du matériel qui ne doit pas être compatible avec la version EFI. Je viens de refaire les mêmes manips avec la version legacy, et il n'y pas de pb.

Hors ligne

#20 12-02-2018 21:45:49

mhep
Modérateur
Inscription : 23-07-2016
Messages : 546

Re : Kiwix dépendances

Sauf pour la question de root au démarrage /dev/sdc1, /dev/sdb1, /dev/sda1 , etc, mais je vais faire un autre topic

Hors ligne

Pied de page des forums